
local MakePlayerCharacter = require "prefabs/player_common"

local assets = {
        Asset( "ANIM", "anim/nep.zip" ),
		Asset( "ANIM", "anim/ghost_nep_build.zip" ),
--		Asset( "ANIM", "anim/nepgear.zip" ),
}
local prefabs = {}

local function common_postinit(inst)
    inst:AddTag("ghostwithhat")
end

local function master_postinit(inst)
	inst.components.health.maxhealth = 300
	inst.components.combat.damagemultiplier = 2
	inst.components.hunger:SetMax(140)
	inst.components.sanity:SetMax(175)
-------
	inst.soundsname = "willow"
	inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("neptune.tex")	
		local light = inst.entity:AddLight()
		light:SetFalloff(30)
		light:SetIntensity(0.002)
		light:SetRadius(5)
		light:SetColour(025/025, 025/025, 025/025)
--		light:SetColour(255/255, 255/255, 255/255) --
		light:Enable(true)
end


local start_inv = 
{

}


STRINGS.CHARACTER_TITLES.nep = "Neptune"
STRINGS.CHARACTER_NAMES.nep = "Neptune"
STRINGS.CHARACTER_DESCRIPTIONS.nep = "*the power of a goddess.                                           *a glowing aura of a goddess.              ++Damage.   -Sanity.  +++Health."
STRINGS.CHARACTER_QUOTES.nep = "\"I will show you the true power of a goddess.\""

return MakePlayerCharacter("nep", prefabs, assets, common_postinit, master_postinit, start_inv)
